cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Announcements
Update: Find information on Dropbox support during COVID-19 here
Close

Dropbox API Support & Feedback

Find help with the Dropbox API from other developers.

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Highlighted

Can't install Dropbox SDK on Arduino Yun

Helpful | Level 6

Hi, sorry if this is a very dumb question but I have very little Linux knowledge and I wonder if you could help me. (I've tried the Arduino forum with no answer so far. I will post the solution there once I got it working because I think Dropbox & Arduino are a killer couple...)

 

I'm trying to install Dropbox SDK on an Arduino Yun using the following 

 

opkg install distribute
opkg install python-openssl
easy_install pip
 
everything goes OK till this point, then I issue
 
pip install dropbox
 
and this is what I got in return
 
Collecting dropbox
/usr/lib/python2.7/site-packages/pip-9.0.1-py2.7.egg/pip/_vendor/requests/packages/urllib3/util/ssl_.py:318: SNIMissingWarning: An HTTPS request has been made, but the SNI (Subject Name Indication) extension to TLS is not available on this platform. This may cause the server to present an incorrect TLS certificate, which can cause validation failures. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.io/en/latest/security.html#snimissingwarning.
  SNIMissingWarning
/usr/lib/python2.7/site-packages/pip-9.0.1-py2.7.egg/pip/_vendor/requests/packages/urllib3/util/ssl_.py:122: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.io/en/latest/security.html#insecureplatformwarning.
  InsecurePlatformWarning
  Could not fetch URL https://pypi.python.org/simple/dropbox/: There was a problem confirming the ssl certificate: [Errno 185090057] _ssl.c:340: error:0B084009:lib(11):func(132):reason(9) - skipping
  Could not find a version that satisfies the requirement dropbox (from versions: )
No matching distribution found for dropbox
/usr/lib/python2.7/site-packages/pip-9.0.1-py2.7.egg/pip/_vendor/requests/packages/urllib3/util/ssl_.py:122: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.io/en/latest/security.html#insecureplatformwarning.
  InsecurePlatformWarning

Not sure what am I doing wrong and any help will be greatly appreciated.
2 Accepted Solutions

Accepted Solutions
Highlighted

Re: Can't install Dropbox SDK on Arduino Yun

Dropboxer
Dropboxer
It looks like this is an issue with 'pip' itself, and not Dropbox, so I'm afraid I can't be of help. It looks like the error message links to some informational pages though, so I recommend reviewing those, and contacting the support or community for pip or PyPI for further help.

View solution in original post

Highlighted

Re: Can't install Dropbox SDK on Arduino Yun

Helpful | Level 6
Thanks Greg, will follow your suggestion and post any progress (if any)

View solution in original post

4 Replies 4
Highlighted

Re: Can't install Dropbox SDK on Arduino Yun

Dropboxer
Dropboxer
It looks like this is an issue with 'pip' itself, and not Dropbox, so I'm afraid I can't be of help. It looks like the error message links to some informational pages though, so I recommend reviewing those, and contacting the support or community for pip or PyPI for further help.

View solution in original post

Highlighted

Re: Can't install Dropbox SDK on Arduino Yun

Helpful | Level 6
Thanks Greg, will follow your suggestion and post any progress (if any)

View solution in original post

Highlighted

Re: Can't install Dropbox SDK on Arduino Yun

Helpful | Level 6

I did not find the solution yet. Will really appreciate any help on this....

Highlighted

Re: Can't install Dropbox SDK on Arduino Yun

New member | Level 2
New member | Level 2
I think you need to edit opkg.conf file. I tried to do same it downloads all file but while installing it says memory error because arduino yun has only 64mb ram.
https://forum.openwrt.org/uploads/default/original/2X/0/0a4c707d6503571320d69a2a0fb937d65ebb7eeb.png

Work Smarter with Dropbox

The way we work is changing. Share and discover new ways to work smarter with Dropbox in our community.

Sound good? Let's get started.
Polls
Have you been keeping up good habits while working from home?
We've created a working from home cheat sheet to help keep up on those habits, check it out here.
Who's talking

Top contributors to this post

What do Dropbox user levels mean?
Need more support?